Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPShadingMode

    java.lang.Object
      org.apache.fop.render.afp.AFPShadingMode

All Implemented Interfaces:
  java.io.Serializable

    public final class AFPShadingMode

extends java.lang.Object
implements java.io.Serializable

Enumeration class for the AFP shading mode.

See Also:
  Serialized Form

Field Summary
`static AFPShadingMode` | `COLOR` the color mode (the default)
`static AFPShadingMode` | `DITHERED` the dithered mode

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`
`static AFPShadingMode` | `valueOf(java.lang.String name)` Returns the enumeration/singleton object based on its name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COLOR

    public static final AFPShadingMode COLOR

  the color mode (the default)

### DITHERED

    public static final AFPShadingMode DITHERED

  the dithered mode

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the enumeration

### valueOf

    public static AFPShadingMode valueOf(java.lang.String name)

  Returns the enumeration/singleton object based on its name.

  Parameters:
    `name` - the name of the enumeration value
  Returns:
    the enumeration object

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.